Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Enum CircuitBreakerMetricBean.Result

java.lang.Object
java.lang.Enum<CircuitBreakerMetricBean.Result>
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.CircuitBreakerMetricBean.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<CircuitBreakerMetricBean.Result>`

Enclosing class:
  CircuitBreakerMetricBean

public static enum CircuitBreakerMetricBean.Result extends Enum<CircuitBreakerMetricBean.Result>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAIL`
`PASS`
`PASS_EXCEPTION`
`SKIPPED_EXCEPTION`

## Method Summary

Modifier and Type
Method
Description
`static CircuitBreakerMetricBean.Result`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CircuitBreakerMetricBean.Result[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PASS

public static final CircuitBreakerMetricBean.Result PASS

### PASS_EXCEPTION

public static final CircuitBreakerMetricBean.Result PASS_EXCEPTION

### SKIPPED_EXCEPTION

public static final CircuitBreakerMetricBean.Result SKIPPED_EXCEPTION

### FAIL

public static final CircuitBreakerMetricBean.Result FAIL

## Method Details

### values

public static CircuitBreakerMetricBean.Result[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CircuitBreakerMetricBean.Result valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null